Your message dated Tue, 19 Aug 2008 21:17:12 +0000
with message-id <[EMAIL PROTECTED]>
and subject line Bug#491396: fixed in acpi-support 0.109-6
has caused the Debian Bug report #491396,
regarding acpi-support: /etc/acpi/battery.d is ignored on newer kernels
to be marked as done.
This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.
(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [EMAIL PROTECTED]
immediately.)
--
491396: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=491396
Debian Bug Tracking System
Contact [EMAIL PROTECTED] with problems
--- Begin Message ---
Package: acpi-support
Version: 0.109-5
Severity: normal
Tags: patch
Newer kernels have disabled the /proc interface to power management,
leaving only the /sys. However, the /etc/acpi/power.sh script makes a
decision about running the scripts in battery.d by looking for ac
adapters in /proc (this also affects the running of scripts in ac.d).
The patch below fixes it for me (but this is the first time I have ever
done anything with the /sys power interface, so I don't know how correct
the method for finding ac adapters is).
-- System Information:
Debian Release: lenny/sid
APT prefers unstable
APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.25-2-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Versions of packages acpi-support depends on:
ii acpi-support-base 0.109-5 scripts for handling base ACPI eve
ii acpid 1.0.6-10 Utilities for using ACPI power man
ii dmidecode 2.9-1 Dump Desktop Management Interface
ii finger 0.17-12 user information lookup program
ii hdparm 8.9-1 tune hard disk parameters for high
ii laptop-detect 0.13.6 attempt to detect a laptop
ii libc6 2.7-12 GNU C Library: Shared libraries
ii lsb-base 3.2-15 Linux Standard Base 3.2 init scrip
ii powermgmt-base 1.30 Common utils and configs for power
ii vbetool 1.0-3 run real-mode video BIOS code to a
ii x11-xserver-utils 7.3+3 X server utilities
Versions of packages acpi-support recommends:
pn dbus <none> (no description available)
pn hal <none> (no description available)
ii nvclock 0.8b3-1 Allows you to overclock your nVidi
ii pm-utils 1.1.2.3-1 utilities and scripts for power ma
ii radeontool 1.5-5 utility to control ATI Radeon back
ii toshset 1.73-2 Access much of the Toshiba laptop
Versions of packages acpi-support suggests:
pn laptop-mode-tools <none> (no description available)
-- no debconf information
diff --git a/power.sh b/power.sh
index f14f7b4..ceba154 100755
--- a/power.sh
+++ b/power.sh
@@ -9,22 +9,27 @@ getState;
checkStateChanged;
-for x in /proc/acpi/ac_adapter/*; do
- if [ -d "$x" ] ; then
- grep -q off-line $x/state
+ac_adapters() {
+ for x in /sys/class/power_supply/*; do
+ read type <$x/type
+ test "$type" = "Mains" && echo $x
+ done
+}
- if [ $? = 0 ] && [ x$1 != xstop ]; then
- for SCRIPT in /etc/acpi/battery.d/*.sh; do
- if [ -f $SCRIPT ] ; then
- . $SCRIPT
- fi
- done
- else
- for SCRIPT in /etc/acpi/ac.d/*.sh; do
- if [ -f $SCRIPT ] ; then
- . $SCRIPT
- fi
- done
+for x in $(ac_adapters); do
+ grep -q 0 $x/online
+
+ if [ $? = 0 ] && [ x$1 != xstop ]; then
+ for SCRIPT in /etc/acpi/battery.d/*.sh; do
+ if [ -f $SCRIPT ] ; then
+ . $SCRIPT
+ fi
+ done
+ else
+ for SCRIPT in /etc/acpi/ac.d/*.sh; do
+ if [ -f $SCRIPT ] ; then
+ . $SCRIPT
fi
+ done
fi
done
--- End Message ---
--- Begin Message ---
Source: acpi-support
Source-Version: 0.109-6
We believe that the bug you reported is fixed in the latest version of
acpi-support, which is due to be installed in the Debian FTP archive:
acpi-support-base_0.109-6_all.deb
to pool/main/a/acpi-support/acpi-support-base_0.109-6_all.deb
acpi-support_0.109-6.dsc
to pool/main/a/acpi-support/acpi-support_0.109-6.dsc
acpi-support_0.109-6.tar.gz
to pool/main/a/acpi-support/acpi-support_0.109-6.tar.gz
acpi-support_0.109-6_i386.deb
to pool/main/a/acpi-support/acpi-support_0.109-6_i386.deb
A summary of the changes between this version and the previous one is
attached.
Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to [EMAIL PROTECTED],
and the maintainer will reopen the bug report if appropriate.
Debian distribution maintenance software
pp.
Bart Samwel <[EMAIL PROTECTED]> (supplier of updated acpi-support package)
(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing [EMAIL PROTECTED])
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
Format: 1.8
Date: Tue, 19 Aug 2008 21:39:41 +0200
Source: acpi-support
Binary: acpi-support acpi-support-base
Architecture: source i386 all
Version: 0.109-6
Distribution: unstable
Urgency: high
Maintainer: Bart Samwel <[EMAIL PROTECTED]>
Changed-By: Bart Samwel <[EMAIL PROTECTED]>
Description:
acpi-support - scripts for handling many ACPI events
acpi-support-base - scripts for handling base ACPI events such as the power
button
Closes: 488937 489465 491396
Changes:
acpi-support (0.109-6) unstable; urgency=high
.
* /etc/acpi/events/sleepbtn: /etc/acpi/events/sleepbtn runs wrong
script (Closes: #489465)
* /etc/acpi/battery.d is ignored on newer kernels (Closes: #491396)
* Incorrect D-BUS HAL call in dbus-hal suspend method (Closes:
#488937)
Checksums-Sha1:
b5a1c6ad14760015c9ab9eb79e685f8c7ff75af3 1057 acpi-support_0.109-6.dsc
0857a503d559cded27547461826a95fd700f4f3b 58936 acpi-support_0.109-6.tar.gz
048540f8aff9f17c6d8b70015ca020e9a8d31410 53608 acpi-support_0.109-6_i386.deb
491dff237c8aeac67af8f209ae85169fc75a81f5 21716
acpi-support-base_0.109-6_all.deb
Checksums-Sha256:
4c2266b38c6a5d08d2feb9c1ae7cf34c5625b4f8b61310f51f51d3235499c38f 1057
acpi-support_0.109-6.dsc
c47eee2235f22981323667690b4eb55b2e48d80bc6c20e73e2a526ef14bec8f5 58936
acpi-support_0.109-6.tar.gz
25ac8cae25c793d876a1af90f30edad4f8e30726c8b312b96ee72e92b332a551 53608
acpi-support_0.109-6_i386.deb
340b2781d173e5458374581c9a27b29a3a9891c5cd5dfd9b07f636eb6f7fd1a9 21716
acpi-support-base_0.109-6_all.deb
Files:
ff7694ca6c9b34a0f3c4b0a3efe621eb 1057 admin optional acpi-support_0.109-6.dsc
03ad087f3da6c1125dd9eb255039e933 58936 admin optional
acpi-support_0.109-6.tar.gz
17fe78b4aebe78b000df74d9b855c4bc 53608 admin optional
acpi-support_0.109-6_i386.deb
dd4a0ba7a556b4432b9a265ccc38a779 21716 admin optional
acpi-support-base_0.109-6_all.deb
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
iEYEARECAAYFAkirJhIACgkQ7O7doAun0JTspwCgqYItL7tFXCzW4SbYY+jfoy2k
d6IAnRnqHGdAAQdhJykeVCETNIYfCrso
=zn4B
-----END PGP SIGNATURE-----
--- End Message ---